## net.i2p.router.web
Class ServiceManager

    java.lang.Object
      net.i2p.router.web.ServiceManager

    public class ServiceManager

extends java.lang.Object

Handles installation and uninstallation of I2P as a service.

Author:
  hypercubus

Constructor Summary
`ServiceManager()`

Method Summary
`java.lang.String` `installService()` Invokes the service wrapper installation script via a shell process.
`java.lang.String` `uninstallService()` Invokes the service wrapper uninstallation script via a shell process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceManager

    public ServiceManager()

Method Detail

### installService

    public java.lang.String installService()

  Invokes the service wrapper installation script via a shell process.

  Returns:
    `null` if the installation was successful, otherwise a `String` containing the shell output including error messages is returned.

### uninstallService

    public java.lang.String uninstallService()

  Invokes the service wrapper uninstallation script via a shell process.

  Returns:
    `null` if the uninstallation was successful, otherwise a `String` containing the shell output including error messages is returned.